
# `rotate-backups` in a container image

<https://rotate-backups.readthedocs.io>

## Example usage in kubernetes cronjob

```yaml
apiVersion: batch/v1
kind: CronJob
metadata:
  name: mariadb-backup-rotate-cron
  namespace: mariadb
  labels:
    app: mariadb-backup-rotate-cron
spec:
  schedule: "0 4 * * *"  # daily at 4am
  jobTemplate:
    spec:
      template:
        metadata:
          labels:
            app: mariadb-backup-rotate-cron
        spec:
          containers:
          - name: mariadb-backup-rotate-container
            image: gitea.jbrumond.me/images/rotate-backups:8
            args: [ "--daily=7", "--weekly=4", "--monthly=12", "--yearly=always" ]
            resources:
              limits:
                cpu: 500m
                memory: 1Gi
              requests:
                cpu: 100m
                memory: 100Mi
            volumeMounts:
            - name: mariadb-backup-persistent-storage
              mountPath: /data
          restartPolicy: OnFailure
          volumes:
          - name: mariadb-backup-persistent-storage
            persistentVolumeClaim:
              claimName: mariadb-backup-pv-claim
```
